<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		version="1.0">
  
<xsl:template name="biblioentry.label">
  <xsl:param name="node" select="."/>
  
  <a>
    <xsl:attribute name="name">
      <xsl:call-template name="object.id"/>
    </xsl:attribute>
  </a>
  <xsl:text>[</xsl:text>
    <xsl:number/>
  <xsl:text>] </xsl:text>
</xsl:template>

<xsl:template match="citation">
  <xsl:variable name="target" select="//biblioentry[abbrev=current()][1]"/>
  <xsl:variable name="href">
    <xsl:call-template name="href.target">
      <xsl:with-param name="object" select="$target"/>
    </xsl:call-template>
  </xsl:variable> 
  
  <xsl:text>[</xsl:text>
  <a href="{$href}" title="{$target/title}">
    <xsl:value-of select="count($target/preceding-sibling::biblioentry)+1"/>
  </a>
  <xsl:text>]</xsl:text>
</xsl:template>

</xsl:stylesheet>
